#include "mbed.h"
#include "MSCFileSystem.h"

AnalogIn pot1(p19);
DigitalOut myled(LED1);
MSCFileSystem fs("fs");

int main()
{

    FILE *fp = fopen("/fs/data.csv","w");

    for (int i=0; i < 100 ; i++) {
        fprintf(fp,"%.2f\n",pot1.read());
        wait(0.05);
        myled = !myled;
    }

    fclose(fp);
    myled = 1;

}
